diff -uNrd ircd-hybrid-7.0.3/include/numeric.h ircn-1.0/include/numeric.h
--- ircd-hybrid-7.0.3/include/numeric.h	Sat Oct 25 22:08:13 2003
+++ ircn-1.0/include/numeric.h	Thu Aug 12 09:20:24 2004
@@ -482,6 +482,7 @@
 #define ERR_KNOCKONCHAN      714
 #define ERR_KNOCKDISABLED    715
 
+#define RPL_WHOISOPERATORADMIN 998
 #define ERR_LAST_ERR_MSG     999
 
 #endif /* INCLUDED_numeric_h */
diff -uNrd ircd-hybrid-7.0.3/include/patchlevel.h ircn-1.0/include/patchlevel.h
--- ircd-hybrid-7.0.3/include/patchlevel.h	Wed Jun 30 20:38:35 2004
+++ ircn-1.0/include/patchlevel.h	Thu Aug 12 09:25:46 2004
@@ -23,5 +23,5 @@
  */
 
 #ifndef PATCHLEVEL
-#define PATCHLEVEL   "hybrid-7.0.3"
+#define PATCHLEVEL   "IRCN-1.0"
 #endif
diff -uNrd ircd-hybrid-7.0.3/modules/core/m_kick.c ircn-1.0/modules/core/m_kick.c
--- ircd-hybrid-7.0.3/modules/core/m_kick.c	Wed Jun 16 00:56:02 2004
+++ ircn-1.0/modules/core/m_kick.c	Thu Aug 12 09:25:26 2004
@@ -184,6 +184,12 @@
       return;
     }
 
+  /* Admins cannot be kicked by non Admins. -Zeroke */
+  if (IsOperAdmin(who) && !IsOperAdmin(source_p)) {
+    sendto_one(source_p, ":%s NOTICE %s :You cannot kick an IRC Administrator", me.name, parv[0], name);
+    return;
+  }
+
   if (IsMember(who, chptr))
     {
       /* half ops cannot kick other halfops on private channels */
diff -uNrd ircd-hybrid-7.0.3/modules/m_whois.c ircn-1.0/modules/m_whois.c
--- ircd-hybrid-7.0.3/modules/m_whois.c	Wed Jun 16 00:55:55 2004
+++ ircn-1.0/modules/m_whois.c	Thu Aug 12 09:19:36 2004
@@ -460,6 +460,11 @@
     sendto_one(source_p, form_str(RPL_WHOISOPERATOR),
 	       me.name, source_p->name, target_p->name);
 
+  /* Admins get an Admin whois extra. -Zeroke */
+  if (IsOperAdmin(target_p))
+    sendto_one(source_p, form_str(RPL_WHOISOPERATORADMIN),
+               me.name, source_p->name, target_p->name);
+
   if (MyConnect(target_p)) /* Can't do any of this if not local! db */
   {
     if ( (glob) ||
diff -uNrd ircd-hybrid-7.0.3/src/channel.c ircn-1.0/src/channel.c
--- ircd-hybrid-7.0.3/src/channel.c	Sat Oct 25 22:08:20 2003
+++ ircn-1.0/src/channel.c	Thu Aug 12 09:18:50 2004
@@ -1085,6 +1085,11 @@
 int
 can_join(struct Client *source_p, struct Channel *chptr, char *key)
 {
+  /* Admin can always join a channel. -Zeroke */
+  if (IsOperAdmin(source_p)) {
+      return 0;
+  }
+
   dlink_node *lp;
   dlink_node *ptr;
   struct Ban *invex = NULL;
diff -uNrd ircd-hybrid-7.0.3/src/channel_mode.c ircn-1.0/src/channel_mode.c
--- ircd-hybrid-7.0.3/src/channel_mode.c	Mon Jun 14 11:27:28 2004
+++ ircn-1.0/src/channel_mode.c	Thu Aug 12 09:24:26 2004
@@ -1289,6 +1289,11 @@
     return;
   }
 
+  /* Admins cannot be deopped by non Admins. -Zeroke */
+  if (IsOperAdmin(targ_p) && !IsOperAdmin(source_p)) {
+    return;
+  }
+
   if (!IsMember(targ_p, chptr))
   {
     if (!(*errors & SM_ERR_NOTONCHANNEL))
@@ -1919,6 +1924,10 @@
   /* Let hacked servers in for now... */
 
   if (!MyClient(source_p))
+    return CHACCESS_CHANOP;
+
+  /* Admins can change modes even without op. -Zeroke */
+  if (is_chan_op(chptr, source_p) || IsOperAdmin(source_p))
     return CHACCESS_CHANOP;
 
   if (is_chan_op(chptr, source_p))
diff -uNrd ircd-hybrid-7.0.3/src/messages.tab ircn-1.0/src/messages.tab
--- ircd-hybrid-7.0.3/src/messages.tab	Sat Oct 25 22:08:24 2003
+++ ircn-1.0/src/messages.tab	Thu Aug 12 09:34:36 2004
@@ -405,7 +405,7 @@
 /* 378 */       NULL,
 /* 379 */       NULL,
 /* 380 */       NULL,
-/* 381 RPL_YOUREOPER, */        ":%s 381 %s :You have entered... the Twilight Zone!.",
+/* 381 RPL_YOUREOPER, */        ":%s 381 %s :You are now an IRC Operator",
 /* 382 RPL_REHASHING, */        ":%s 382 %s %s :Rehashing",
 /* 383 */       NULL,
 /* 384 RPL_MYPORTIS, */         ":%s 384 %s %d :Port to local server is",
@@ -1025,6 +1025,6 @@
 /* 995 */	NULL,
 /* 996 */	NULL,
 /* 997 */	NULL,
-/* 998 */	NULL,
-/* 999 LAST ERR_LAST_ERR_MSG,*/	":%s 999 %s :Last Error Message"
+/* 998 RPL_WHOISOPERATORADMIN */ ":%s 998 %s %s :is an IRC Administrator",/* 
+999 LAST ERR_LAST_ERR_MSG,*/	 ":%s 999 %s :Last Error Message"
 };
